Page MenuHomePhabricator

[AMDGPU] Remove fix up operand from SI_ELSE
ClosedPublic

Authored by critson on Oct 18 2020, 4:32 AM.

Details

Summary

Remove immediate operand from SI_ELSE which indicates if EXEC has
been modified. Instead always emit code that handles EXEC and
remove unnecessary instructions during pre-RA optimisation.

This facilitates passes (i.e. SIWholeQuadMode) adding exec mask
manipulation post control flow lowering, and pre control flow
lower passes do not need to be aware of SI_ELSE handling.

Diff Detail

Event Timeline

critson created this revision.Oct 18 2020, 4:32 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 18 2020, 4:32 AM
critson requested review of this revision.Oct 18 2020, 4:32 AM
nhaehnle accepted this revision.Oct 19 2020, 10:21 AM

Thanks, LGTM

This revision is now accepted and ready to land.Oct 19 2020, 10:21 AM
This revision was landed with ongoing or failed builds.Oct 20 2020, 3:15 AM
This revision was automatically updated to reflect the committed changes.
foad added a subscriber: foad.Oct 20 2020, 6:37 AM